summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorDylan Whichard2015-08-04 16:59:12 -0400
committerDylan Whichard2015-08-04 16:59:12 -0400
commitb1553b56dbd1e0942de65024278c50d2f3f65cfc (patch)
treed14c967b2c11e9de2c31ee1e81d3112800cb34d2
downloadaur-b1553b56dbd1e0942de65024278c50d2f3f65cfc.tar.gz
Initial import
-rw-r--r--.SRCINFO14
-rw-r--r--PKGBUILD18
2 files changed, 32 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..e209a07bb04
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,14 @@
+pkgbase = python-schedule
+ pkgdesc = Python job scheduling for humans.
+ pkgver = 0.3.2
+ pkgrel = 1
+ url = http://pypi.python.org/pypi/schedule
+ arch = any
+ license = MIT
+ makedepends = python-setuptools
+ depends = python>=2.3
+ source = https://pypi.python.org/packages/source/s/schedule/schedule-0.3.2.tar.gz
+ md5sums = e0ce768dee1e961ad5a02bf459334abc
+
+pkgname = python-schedule
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..57ff552e86b
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,18 @@
+# Maintainer: Dylan Whichard <dylan@whichard.com>
+_name=schedule
+pkgname=python-schedule
+pkgver=0.3.2
+pkgrel=1
+pkgdesc='Python job scheduling for humans.'
+arch=('any')
+url="https://github.com/dbader/$_name"
+license=('MIT')
+depends=('python>=2.3')
+makedepends=('python-setuptools')
+source=("https://pypi.python.org/packages/source/s/$_name/$_name-$pkgver.tar.gz")
+md5sums=('e0ce768dee1e961ad5a02bf459334abc')
+
+package() {
+ cd "$srcdir/$_name-$pkgver"
+ python setup.py install --root="$pkgdir" --optimize=1 || return 1
+}